Bug 612468 - RFE: support multi-repository environment
RFE: support multi-repository environment
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2010-07-08 06:03 EDT by Dan Horák
Modified: 2015-03-22 20:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2010-07-08 06:03:47 EDT
A typical system is usually installed from multiple repositories - Fedora, RPM Fusion and also some 3rd party additional repos. It would be nice if ABRT could report crashes for packages from all the repositories.

- source of package => determined from gpg signing key
- the gpg key is part of <foo>-release package, where foo = {rhel, fedora, rpmfusion, whatever}
- each <foo>-release (or an -abrt subpackage) will provide information what plugin/plugins is/are used for reporting and a default setup like URL of bugzilla, etc.

The workflow will be then
- detect crash
- get package from crashing application
- get repository for package
- get reporting config for repository
- report

Naturally there will be a fallback configuration for situations where crash doesn't belong to any package or when repository doesn't have its own config.
Comment 1 Nikola Pajkovsky 2010-07-08 07:33:10 EDT
We never implement this feature, because you cannot report it into redhat bugzilla. Why? TGood example is mplayer from rpmfusion. Bugzilla doesn't have component called bugzilla so it fails.
Comment 2 Jiri Moskovcak 2010-07-08 07:40:12 EDT
It is in our plan to implement this feature. Nikola replied before I had a chance to talk to him and he probably misunderstood the description...
Comment 3 Fedora Admin XMLRPC Client 2011-12-19 12:42:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-12-19 12:45:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Orion Poplawski 2013-09-23 17:31:30 EDT
I thought I would mention it here first, but I can file another bug if it makes sense.  I just got some bug reports for packages installed from the SUSE openbuild server filed against my Fedora packages of the same name.  We need to make sure that the packages actually came from Fedora.

Note You need to log in before you can comment on or make changes to this bug.